<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [setTeamSize](./bitburner.bladeburner.setteamsize.md)

## Bladeburner.setTeamSize() method

Set team size.

**Signature:**

```typescript
setTeamSize(type: string, name: string, size: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | string | Type of action. |
|  name | string | Name of action. Must be an exact match. |
|  size | number | Number of team members to set. Will be converted using Math.round(). |

**Returns:**

number

Number of Bladeburner team members you assigned to the specified action.

## Remarks

RAM cost: 4 GB

Set the team size for the specified Bladeburner action.

Returns the team size that was set, or -1 if the function failed.

